﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Threading;
using System.Text;
using System.Diagnostics;
using System.Windows.Forms;
using littleWireLib;

namespace adc
{
    public partial class Form1 : Form
    {
        littleWire myDevice=new littleWire();
           
        int ti = 0;
        float old_temp = 0;       
        Graphics g;
        
        public Form1()
        {
            InitializeComponent();

            g = pictureBox1.CreateGraphics();
                         
            int status = myDevice.connect();
            if (status == 0)
            {
                MessageBox.Show("Olimex-Board nicht gefunden !");
                Environment.Exit(0);
            }
 
            myDevice.pinMode(2, 1);
                               
            myDevice.analogInit();
             
            myTimer.Start();
        }

        private void myTimer_Tick(object sender, EventArgs e)
        {
           float temp = (float)(myDevice.analogRead(1)/1023f);
           label1.Text = (3.6f * temp).ToString().Trim();
                       
           g.DrawLine(System.Drawing.Pens.Black, ti + 1, 0, ti + 1, pictureBox1.Height);
           g.DrawLine(System.Drawing.Pens.BlueViolet, ti + 2, 0, ti + 2, pictureBox1.Height);
           g.DrawLine(System.Drawing.Pens.Red, ti, (float)((1.0f-old_temp) * 0.96f * pictureBox1.Height), ti + 1, (float)((1.0f-temp) * 0.96f * pictureBox1.Height));
           old_temp = temp;            
           ti++;
           if (ti > pictureBox1.Width) { ti = 0; g.DrawLine(System.Drawing.Pens.Black, 0, 0, 0, pictureBox1.Height); }

        }
    }
}
